### Function

# Pango AttrShape new

#### Declaration [src]

    PangoAttribute*
    pango_attr_shape_new (
      const PangoRectangle* ink_rect,
      const PangoRectangle* logical_rect
    )

#### Description [src]

Create a new shape attribute.

A shape is used to impose a particular ink and logical rectangle on the result of shaping a particular glyph. This might be used, for instance, for embedding a picture or a widget inside a `PangoLayout`.

#### Parameters

`ink_rect`

  Type: `PangoRectangle`

  Ink rectangle to assign to each character.

  The data is owned by the caller of the function.

`logical_rect`

  Type: `PangoRectangle`

  Logical rectangle to assign to each character.

  The data is owned by the caller of the function.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.